fgets
file_exists
Filesystem Functions
PHP Manual

# fgetss

(PHP 4, PHP 5)

fgetss — Gets line from file pointer and strip HTML tags

### Description

string fgetss ( resource `$handle` [, int `$length` [, string `$allowable_tags` ]] )

Identical to fgets(), except that fgetss() attempts to strip any HTML and PHP tags from the text it reads.

### Parameters

`handle`

  The file pointer must be valid, and must point to a file successfully opened by fopen() or fsockopen() (and not yet closed by fclose()).

`length`

  Length of the data to be retrieved.

`allowable_tags`

  You can use the optional third parameter to specify tags which should not be stripped.

### Return Values

Returns a string of up to `length` - 1 bytes read from the file pointed to by `handle` , with all HTML and PHP code striped.

If an error occurs, returns `FALSE`.

### ChangeLog

Version | Description
--- | ---
5.0.0 | The `length` parameter is optional
3.0.13 and 4.0.0 | The `allowable_tags` parameter was added,

### Notes

> Note: If PHP is not properly recognizing the line endings when reading files either on or created by a Macintosh computer, enabling the auto_detect_line_endings run-time configuration option may help resolve the problem.

### See Also

- fgets()
- fopen()
- popen()
- fsockopen()
- strip_tags()

fgets
file_exists
Filesystem Functions
PHP Manual